# Interface for submodule: NoEvent
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate


# Interface for class: NoEvent
from ._proxies import NoEventProxy as _NoEventProxy
class _NoEventTemplate(_itkTemplate):
    """Interface for instantiating itk::NoEvent"""

    def __new__(cls, *args: Any) -> _NoEventProxy:
        """Instantiate itk::NoEvent"""
        ...

    def __call__(self, *args: Any) -> _NoEventProxy:
        """Instantiate itk::NoEvent"""
        ...

NoEvent = _NoEventTemplate

